Returns statistics for each channel in the image

- « Imagick::getImageChannelRange

- Imagick::getImageClipMask »

- PHP Manual
- Imagick
- Returns statistics for each channel in the image

# Imagick::getImageChannelStatistics

(PECL imagick 2, PECL imagick 3)

Imagick::getImageChannelStatistics — Returns statistics for each channel in the image

### Description

public Imagick::getImageChannelStatistics(): array

Returns statistics for each channel in the image. The statistics include the channel depth, its minima and maxima, the mean, and the standard deviation.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success.